.pragma library
Qt.include("Defines.js")

/**
  *Return the expenses
  */
function readIcons()
{
    var list = {}
    db.readTransaction( function(tx)
    {
        var rs = tx.executeSql("SELECT * FROM icons ORDER BY name asc");
        var item
        for (var i=0; i< rs.rows.length; i++)
        {
            item = rs.rows.item(i)
            list[item.id] = item;
        }
    });
    return list;
}


/**
  *Get a icon specified by iconID
  */
function getIcon(iconID,callback)
{
    db.transaction( function(tx)
    {
       var resultSet=tx.executeSql("select * from icons where id = ?",iconID);
       if (resultSet.rows.length > 0)callback(resultSet.rows.item(0))
    });
}
