.pragma library
Qt.include("Defines.js")

function savePassword(password)
{
    db.transaction( function(tx)
    {
        tx.executeSql("update preferences set password= ?, passenabled=? where id= 1",[password,1]);
    });
}


function disablePassword()
{
    db.transaction( function(tx)
    {
        tx.executeSql("update preferences set passenabled=? where id= 1",[0]);
    });
}

function getPassword(callback)
{
    db.transaction( function(tx)
    {
       var resultSet=tx.executeSql("select * from preferences where id = ?",1);
       if (resultSet.rows.length > 0)callback(resultSet.rows.item(0))
    });
}


function tryLogin(password)
{
    var result=0
    db.transaction( function(tx)
    {
       var resultSet=tx.executeSql("select * from preferences where id = ?",1);
       if (resultSet.rows.length > 0)
       {
           var item=resultSet.rows.item(0)
           if(item.password===password)result=1
           else result=0
       }
    });
    return result
}

function getVersion()
{
    var version=""
    db.transaction( function(tx)
    {
       var resultSet=tx.executeSql("select * from preferences where id = ?",1);
       if (resultSet.rows.length > 0)
       {
           var item=resultSet.rows.item(0)
           version=item.version
       }
    });
    return version
}
