import QtQuick 1.1
import com.nokia.meego 1.0
import "ucountDB.js" as UCountDB

Page
{
    id: prefBudgetPage
    tools: prefBudgetTools
    orientationLock: PageOrientation.LockPortrait

    PageTitle
    {
        id: pageTitle
        title: "Budgets"
    }

    ToolBarLayout
    {
        id: prefBudgetTools
        visible: true
        ToolIcon
        {
            id: toolBack
            platformIconId: "toolbar-back"
            anchors.left: parent.left
            onClicked: pageStack.pop();
        }
    }
}
