import QtQuick 1.1
import com.nokia.meego 1.0
import "ucountDB.js" as UCountDB

PageStackWindow
{
    id: appWindow
    //initialPage: mainPage
    property alias mainP: mainPage

    MainPage
    {
        id: mainPage
    }

    function openFile(file)
    {
        var component = Qt.createComponent(file)
        if (component.status == Component.Ready)pageStack.push(component);
        else console.log("Error loading component:", component.errorString());
    }
    // this signal is emitted up Component loading complition
    Component.onCompleted:
    {
        UCountDB.openDB()
        //screen.allowedOrientations =  Screen.Portrait;
        UCountDB.getPassword(function(info)
        {
            var passEnabled=parseInt(info.passenabled)
            if(passEnabled)
            {
                //initialPage=loginPage
                openFile("Login.qml")
            }
            else
            {
                //initialPage=mainPage
                pageStack.push(mainPage)
            }
        });
    }
}
